# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# TODO: Add BR: perl(Template) >= 2.20 unconditionally when available

Name:		perl-Locale-Maketext-Lexicon
Version:	0.91
Release:	1.%{__distinit}%{__distvers}
Summary:	Extract translatable strings from source
License:	MIT
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Locale-Maketext-Lexicon/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DRTECH/Locale-Maketext-Lexicon-%{version}.tar.gz
Patch0:		Locale-Maketext-Lexicon-0.82-perl580.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Locale::Maketext)
BuildRequires:	perl(PPI)
# Fedora/EPEL only provide suitably recent versions of perl(Template) from Fedora 11
%if %([ "(" "%{__distinit}" == "fc" -a %{__distvers} -gt 10 ")" -o "(" "%{__distinit}" == "rhel" -a %{__distvers} -gt 5 ")" ] && echo 1 || echo 0)
BuildRequires:	perl(Template) >= 2.20
%endif
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(YAML) >= 0.66
BuildRequires:	/usr/bin/msgunfmt
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# rpm doesn't catch these (at least prior to F-15)
Requires:	perl(Locale::Maketext)
%if "%{__distinit}" != "fc" || %{__distvers} < 15
Requires:	perl(YAML::Loader)
%endif

%description
Locale::Maketext::Lexicon provides lexicon-handling backends for
Locale::Maketext to read from other localization formats, such as PO files,
MO files, or from databases via the "Tie" interface.

%prep
%setup -q -n Locale-Maketext-Lexicon-%{version}

# Two subtests fail on Perl 5.8.0, possibly due to ancient gettext
%patch0 -p1

# Things required by TT2 plugin but not universally available
%if "%{__distinit}" == "fc" && %{__distvers} < 3 || "%{__distinit}" == "rhel" && %{__distvers} < 5 || "%{__distinit}" == "rhl"
%global reqfilt /bin/sh -c "%{__perl_requires} | sed -e '/perl(Template::Constants)/d; /perl(Template::Parser)/d'"
%define __perl_requires %{reqfilt}
%endif

# Bogus requires that rpm adds due to misinterpreting docs/*.html in Fedora 10 only
%if "%{__distinit}" == "fc" && %{__distvers} == 10
%global reqfilt /bin/sh -c "%{__perl_requires} | sed -e '/perl(CGI)/d; /perl(Lingua::EN::Numbers::Ordinate)/d; /perl(Locale::Msgcat)/d; /perl(Locale::gettext)/d; /perl(POSIX)/d'"
%define __perl_requires %{reqfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README
%doc docs/
%{_bindir}/xgettext.pl
%{perl_vendorlib}/Locale/
%{_mandir}/man1/xgettext.pl.1*
%{_mandir}/man3/Locale::Maketext::Extract.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Base.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::FormFu.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Generic.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Mason.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::PPI.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Perl.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::TT2.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::TextTemplate.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::YAML.3pm*
%{_mandir}/man3/Locale::Maketext::Extract::Run.3pm*
%{_mandir}/man3/Locale::Maketext::Lexicon.3pm*
%{_mandir}/man3/Locale::Maketext::Lexicon::Auto.3pm*
%{_mandir}/man3/Locale::Maketext::Lexicon::Gettext.3pm*
%{_mandir}/man3/Locale::Maketext::Lexicon::Msgcat.3pm*
%{_mandir}/man3/Locale::Maketext::Lexicon::Tie.3pm*

%changelog
* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 0.91-1
- Update to 0.91:
  - Fixed test count for newly-added tests
- Drop upstreamed patch for CPAN RT#70372

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 0.90-1
- Update to 0.90:
  - Added support to the TT2 parser for Mojolicious style tags
  - Documentation changes
- Add patch to fix skip count for TT tests in 5-extract.t when perl(Template)
  isn't available (CPAN RT#70372)
- BR: perl(Template) ≥ 2.20 where possible

* Sat Jul 30 2011 Paul Howarth <paul@city-fan.org> - 0.88-1
- Update to 0.88:
  - Fixed the t/5-extract.t test count

* Wed Jul 20 2011 Paul Howarth <paul@city-fan.org> - 0.87-2
- Rebuild for perl 5.14.1 in Rawhide

* Wed Jul 20 2011 Paul Howarth <paul@city-fan.org> - 0.87-1
- Update to 0.87:
  - Locale::Maketext::Extract - now warns on loading bad plugins if warnings
    enabled
  - Locale::Maketext::Extract::Plugin::Base - Corrected the synopsis
  - Locale::Maketext::Extract::Plugin::Mason - added support for Mason 2
- Fix dist tag for CentOS 6 and Scientific Linux
- Nobody else likes macros for commands

* Thu Feb 17 2011 Paul Howarth <paul@city-fan.org> - 0.86-1
- Update to 0.86:
  - Bumped version because the META file was showing an old version number

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> - 0.85-1
- Update to 0.85:
  - Changed Locale::Maketext::Extract::Run to ignore:
    - .git/
    - unix pipes
    - binary files
- Dependency filtering significantly simplified

* Tue Jan  4 2011 Paul Howarth <paul@city-fan.org> - 0.84-1
- Update to 0.84:
  - Changed the minimum version of Locale::Maketext to 1.17, to avoid error
    reports from recent Perl versions, which still have an old Locale::Maketext
  - Avoid uninit warnings when msgids contain trailing spaces in
    Locale::Maketext::Extract

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 0.83-1
- Update to 0.83:
  - Remove the local $@ when loading PO files, which made it difficult to
    debug errors when loading PO's (CPAN RT#63722)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.82-3
- Import from Fedora

* Wed Jun 23 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.82-2
- Rebuild for perl-5.12.1

* Thu May 06 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.82-1
- Upstream update

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.79-2
- Mass rebuild with perl-5.12.0

* Wed Mar 03 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.79-1
- Upstream update

* Tue Mar 02 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.78-1
- Upstream update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.77-5
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 02 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.77-1
- Upstream update

* Sat Dec 20 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.76-1
- Upstream update

* Sat Nov 29 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.75-1
- Upstream update
- Reflect upstream maintainer having changed
- BR: perl(Template), BR: perl(Test::Pod)

* Fri Oct 10 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.71-1
- Upstream update
- Spec cleanup
- Add spec hacks to work around rpm bugs

* Thu Aug 28 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.68-2
- Filter out bogus requires

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.68-1
- Upstream update
- Reflect new Source0-URL

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.66-2
- Rebuild for perl 5.10 (again)

* Thu Feb 14 2008 Ralf Corsépius <rc040203@freenet.de> - 0.66-1
- Upstream update

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.65-2
- Rebuild for new perl

* Fri Dec 28 2007 Ralf Corsépius <rc040203@freenet.de> - 0.65-1
- Upstream update

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 0.64-2
- Update license tag
- BR: perl(ExtUtils::MakeMaker)

* Mon Jun 11 2007 Ralf Corsépius <rc040203@freenet.de> - 0.64-1
- Upgrade to 0.64
- Reflect source-url having changed

* Fri Feb 16 2007 Ralf Corsépius <rc040203@freenet.de> - 0.62-1
- Upgrade to 0.62
- Reflect licence change from Artistic/GPL to MIT
- BR: /usr/bin/msgunfmt

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.60-2
- Mass rebuild

* Sat Apr 22 2006 Ralf Corsépius <rc040203@freenet.de> - 0.60-1
- Upstream update

* Sun Mar 19 2006 Ralf Corsépius <rc040203@freenet.de> - 0.54-1
- Upstream update

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.53-2
- Rebuild for perl-5.8.8

* Mon Dec 05 2005 Ralf Corsepius <rc040203@freenet.de> - 0.53-1
- Upstream update
